#include <stdio.h>
#include <stdlib.h>

#define NITER (200)
const int ninterv = 10;

int main() {
   int i, ind;
   double avg = 0.0, tic = 20.0/ninterv;
   int val[NITER];
   int j=0;
   int hist[ninterv];
   int find=0;
   int  b=0;

   for (i=0; i<ninterv; ++i) 
      hist[i] = 0;
    
   for (i=0; i<NITER;++i) {
      val[i] = rand()%20;
      ind=(double)val[i]/tic;
      hist[ind]++;
      avg += val[i];
   }
   avg /= NITER;
   printf("Average on %d values is %lf\n",NITER, avg);

   printf("Histogram:\n");
   double v = 0.0;
   for(i=0;i<ninterv;i++) {
      
      printf("%lf ", v);
      for(j=0;j<hist[i];j++) printf("*");
      printf("\n");
      v += tic;
   }
   printf("Insert element :");
   scanf("%d",&v);
   for(i=0;i<ninterv;i++)
      if(val[i]==v)
      {
	b=1;
	break;
      }
   b?printf("find element %d at position %d \n",v,i):printf("element not found!\n");



  return 0;
}



